

Fix the ppc64 build for the great socket member renaming.


 arch/ppc64/kernel/ioctl32.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/ioctl32.c~ppc64-sk_family-fix arch/ppc64/kernel/ioctl32.c
--- 25-power4/arch/ppc64/kernel/ioctl32.c~ppc64-sk_family-fix	2003-06-07 13:24:55.000000000 -0700
+++ 25-power4-akpm/arch/ppc64/kernel/ioctl32.c	2003-06-07 13:25:05.000000000 -0700
@@ -801,7 +801,7 @@ static int routing_ioctl(unsigned int fd
 	
 	struct socket *mysock = sockfd_lookup(fd, &ret);
 
-	if (mysock && mysock->sk && mysock->sk->family == AF_INET6) { /* ipv6 */
+	if (mysock && mysock->sk && mysock->sk->sk_family == AF_INET6) { /* ipv6 */
 		ret = copy_from_user (&r6.rtmsg_dst, &(((struct in6_rtmsg32 *)arg)->rtmsg_dst),
 			3 * sizeof(struct in6_addr));
 		ret |= __get_user (r6.rtmsg_type, &(((struct in6_rtmsg32 *)arg)->rtmsg_type));

_
